require "spec_helper"

module ApiFlashcards
  describe TestController, type: :controller do
    routes { ApiFlashcards::Engine.routes }

    describe "GET#hello" do
      it "returns 401 for non-authenticated" do
        get :hello
        expect(response.status).to eq(401)
      end

      context "authenticated" do
        let!(:user) { User.create(email: "test@te.st", password: "qwerty") }

        it "returns 200 for authenticated" do
          @request.env["HTTP_AUTHORIZATION"] =
            ActionController::HttpAuthentication::Basic.encode_credentials("test@te.st", "qwerty")
          get :hello
          expect(response.status).to eq(200)
        end
      end
    end
  end
end
